UpdateIncidentState
curl --request PATCH \
--url https://developer.synq.io/api/incidents/v1/{incident_id}/state \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actor": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
}
},
"at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://developer.synq.io/api/incidents/v1/{incident_id}/state"
payload = {
"actor": {
"name": "<string>",
"email": { "userEmail": "jsmith@example.com" }
},
"at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
actor: {name: '<string>', email: {userEmail: 'jsmith@example.com'}},
at: '2023-11-07T05:31:56Z'
})
};
fetch('https://developer.synq.io/api/incidents/v1/{incident_id}/state', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"incident": {
"id": "<string>",
"index": 123,
"name": "<string>",
"issueIds": [
"<string>"
],
"createdBy": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
}
},
"owner": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"identities": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedBy": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
}
},
"updatedAt": "2023-11-07T05:31:56Z",
"comments": [
{
"id": "<string>",
"message": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"actor": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
}
}
}
]
}
}synq.incidents.v1.IncidentsService
UpdateIncidentState
PATCH
/
api
/
incidents
/
v1
/
{incident_id}
/
state
UpdateIncidentState
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Actor updating the incident state
- Actor
- Actor
- Actor
Show child attributes
Show child attributes
Time at which the incident state was updated. Defaults to the current time. timestamp.gt = 2022-01-01T00:00:00Z timestamp.gt_lt = 2022-01-01T00:00:00Z timestamp.gt_lt_exclusive = 2022-01-01T00:00:00Z timestamp.gt_lte = 2022-01-01T00:00:00Z timestamp.gt_lte_exclusive = 2022-01-01T00:00:00Z timestamp.lt_now = true
Examples:
"2023-01-15T01:30:15.01Z"
"2024-12-25T12:00:00Z"
New state for the incident
Available options:
STATE_UNSPECIFIED, STATE_OPEN, STATE_CLOSED, STATE_CANCELLED Response
200 - application/json
Success
Show child attributes
Show child attributes
⌘I